> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar banco de currículos

> Lista todos os currículos da base, do mais recente para o mais antigo. Exige admin ou role go:curriculos:admin / go:curriculos:editor.



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-go-api/refs/heads/main/docs/openapi-v3.json get /api/v1/empregabilidade/banco-curriculos
openapi: 3.0.0
info:
  description: API de serviços para aplicativos da Prefeitura do Rio
  title: API Go
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: https://iplan.rio
    email: frederico.zolio@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/go
    description: Production
  - url: https://services.staging.app.dados.rio/go
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/v1/empregabilidade/banco-curriculos:
    get:
      tags:
        - empregabilidade-banco-curriculos
      summary: Listar banco de currículos
      description: >-
        Lista todos os currículos da base, do mais recente para o mais antigo.
        Exige admin ou role go:curriculos:admin / go:curriculos:editor.
      parameters:
        - description: 'Número da página (default: 1)'
          name: page
          in: query
          schema:
            type: integer
        - description: 'Tamanho da página (default: 10, máximo: 100)'
          name: pageSize
          in: query
          schema:
            type: integer
        - description: Busca parcial por nome, nome social ou CPF
          name: search
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/empregabilidade.BancoCurriculoListResponse
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
      security:
        - bearerAuth: []
components:
  schemas:
    empregabilidade.BancoCurriculoListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.BancoCurriculoItem'
        meta:
          $ref: '#/components/schemas/empregabilidade.BancoCurriculoListMeta'
    empregabilidade.BancoCurriculoItem:
      type: object
      properties:
        cpf:
          type: string
        data_inclusao:
          type: string
        escolaridade:
          type: string
        nome:
          type: string
        nome_social:
          type: string
        profissao:
          type: string
    empregabilidade.BancoCurriculoListMeta:
      type: object
      properties:
        page:
          type: integer
        page_size:
          type: integer
        total:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.